Adapt to new Nautilus icon name

Bug #1669655 reported by Jeremy Bicha on 2017-03-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
humanity-icon-theme (Ubuntu)
Low
Unassigned
nautilus (Ubuntu)
Undecided
Unassigned
ubuntu-themes (Ubuntu)
Low
Unassigned

Bug Description

Nautilus 3.24's app icon name is org.gnome.Nautilus instead of system-file-manager for better flatpak compatibility.

I have updated ubuntu-themes and humanity-icon-theme for this change (adding a new symlink pointing to system-file-manager).

ubuntu-themes is handled via bileto so I'll ask the appropriate people to sponsor that separately. DONE

I pushed my change to the humanity bzr branch but I don't have upload rights for it so I'll need sponsorship for this:
https://code.launchpad.net/~ubuntu-art-pkg/humanity/release/

I let other Ubuntu flavors know about this change at bug 1669663.

Jeremy Bicha (jbicha) on 2017-03-03
description: updated
Changed in ubuntu-themes (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Jeremy Bicha (jbicha) on 2017-03-03
description: updated
Jeremy Bicha (jbicha) on 2017-03-03
description: updated
Jeremy Bicha (jbicha) on 2017-03-03
description: updated
Changed in ubuntu-themes (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 16.10+17.04.20170303-0ubuntu1

---------------
ubuntu-themes (16.10+17.04.20170303-0ubuntu1) zesty; urgency=medium

  * Add symlinks to handle Nautilus 3.24's new icon name (LP: #1669655)

 -- Jeremy Bicha <email address hidden> Fri, 03 Mar 2017 03:51:08 +0000

Changed in ubuntu-themes (Ubuntu):
status: Fix Committed → Fix Released
Jeremy Bicha (jbicha) wrote :

I'm setting block-proposed to keep Nautilus from migrating to zesty until humanity-icon-theme is uploaded.

tags: added: block-proposed
Changed in nautilus (Ubuntu):
status: New → Fix Committed
Jeremy Bicha (jbicha) on 2017-03-07
description: updated
Iain Lane (laney) wrote :

laney@zesty> bzr diff -r tag:0.6.12
=== added symlink 'Humanity-Dark/status/16/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'
=== added symlink 'Humanity-Dark/status/22/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'
=== added symlink 'Humanity-Dark/status/24/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'
=== added symlink 'Humanity/apps/128/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'
=== added symlink 'Humanity/apps/16/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'
=== added symlink 'Humanity/apps/24/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'
=== added symlink 'Humanity/apps/32/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'
=== added symlink 'Humanity/apps/48/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'
=== added symlink 'Humanity/status/16/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'
=== added symlink 'Humanity/status/22/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'
=== added symlink 'Humanity/status/24/org.gnome.Nautilus.svg'
=== target is u'system-file-manager-panel.svg'

The apps/ ones are broken symlinks. I didn't actually check this but I should think that's a problem and they should point to system-file-manager.svg instead.

Are the status/ symlinks necessary? I thought that these were used for the panel - who requests those icons and how do they do it?

Jeremy Bicha (jbicha) wrote :

Thank you. I fixed the broken symlinks.

(By the way, there are other broken symlinks for other apps I didn't create.)

I couldn't find anything that used the system-file-manager-panel icons. I wish we had something like https://codesearch.debian.net/ to make this easy to check.

I did find LP: #553256. It may be obsolete because Nautilus doesn't use a separate dialog window for file operation status (like copy, move, delete) any more; it's included in an integrated popup window on Ubuntu 16.10+.

Iain Lane (laney) wrote :

The new ubuntu-mono packages symlink org.gnome.Nautilus.svg to system-file-manager-panel.svg. This makes you get that icon as the icon for Nautilus, which is wrong.

I think that change should be reverted. I also think that implies that the -panel change in humanity is also wrong.

I'd really prefer it if we could just forget about introducing destabilising changes for very little benefit into Zesty at this point. I don't see what the reason for backporting this change is. If you want to update adwaita-icon-theme to 3.24, add symlinks there so that the old icon continues to work.

Jeremy Bicha (jbicha) wrote :

Thanks for checking this.

Yes, the ubuntu-themes change looks wrong:
https://code.launchpad.net/~jbicha/ubuntu-themes/adapt-to-nautilus-324/+merge/319453

And I've updated the humanity branch to not symlink the -panel icons.

https://code.launchpad.net/~ubuntu-art-pkg/humanity/release/

If we don't do the humanity change in zesty, then we'd have to do it in the Zesty GNOME3 Staging PPA (which has nautilus 3.24) and it doesn't seem useful to have to maintain a different version of humanity-icon-theme there.

To summarize:
- humanity needs to be updated anyway, regardless of which icons Nautilus uses in zesty
- The Nautilus change is already in zesty-proposed (to make it easier for other Ubuntu flavors to test the new Nautilus and adapt if needed; and I thought we were going forward with this change for zesty)
- I can add symlinks to adwaita-icon-theme if that would help you sponsor it since I can't upload it myself. But to be fair, adwaita already has a very large number of missing symlinks. [1]

[1] https://git.gnome.org/browse/adwaita-icon-theme/commit/?id=52330b92
https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1614848
https://bugzilla.gnome.org/779507

Iain Lane (laney) wrote :

I am trying to tell you to be less aggressive in the changes you're pushing into Ubuntu, especially after feature freeze.

I don't think that making it easier to maintain a PPA is a good reason to risk bugs in the release proper and to take up a fair amount of reviewer time. We do not, and will not, have Nautilus 3.24 in Zesty and so we shouldn't be having discussions about making other packages work with it.

With symlinks in adwaita-icon-theme I was suggesting a way you could update that to 3.24 but keep Nautilus at 3.20, thinking that might have been your goal (not making Humanity work with Nautilus 3.24 that's being offered from a PPA). I appreciate that Humanity, and other icon themes, will have to be updated to work with 3.24.

We're far enough down the path with this change, so we might as well finish it, but let's be more conservative from now on please.

Iain Lane (laney) wrote :

Huh, it seems like the new icon is actually shipped by Nautilus itself. So symlinks in adwaita-icon-theme doesn't make sense. The rest of my point still stands.

I think a-i-t and h-i-t are good now, so I will upload them.

Jeremy Bicha (jbicha) on 2017-03-09
tags: removed: block-proposed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.20.4-0ubuntu2

---------------
nautilus (1:3.20.4-0ubuntu2) zesty; urgency=medium

  * Add debian/hicolor/*, debian/source/include/binaries,
    debian/nautilus-data.install, git_use-own-icons.patch:
    - Backport icons and related changes from 3.24 since
      adwaita-icon-theme 3.24 no longer includes a Nautilus icon
      (LP: #1669655)
  * Add debian/patches/git_shell-search-partial-words.patch:
    - Backport 3.22 commit to re-enable GNOME Shell search plugin
      to return matching partial-word results instead of just full-word

 -- Jeremy Bicha <email address hidden> Tue, 07 Mar 2017 09:18:25 -0500

Changed in nautilus (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package humanity-icon-theme - 0.6.13

---------------
humanity-icon-theme (0.6.13) zesty; urgency=medium

  * Add symlinks to handle Nautilus 3.24's new icon name (LP: #1669655)
  * Bump debhelper compat to 10

 -- Jeremy Bicha <email address hidden> Thu, 09 Mar 2017 17:46:40 +0000

Changed in humanity-icon-theme (Ubuntu):
status: Triaged → Fix Released
rahmadani (rahmadani) on 2017-04-08
Changed in humanity-icon-theme (Ubuntu):
assignee: nobody → rahmadani (rahmadani)
Changed in nautilus (Ubuntu):
assignee: nobody → rahmadani (rahmadani)
Changed in ubuntu-themes (Ubuntu):
assignee: nobody → rahmadani (rahmadani)
Adolfo Jayme (fitojb) on 2017-05-08
Changed in humanity-icon-theme (Ubuntu):
assignee: rahmadani (rahmadani) → nobody
Changed in nautilus (Ubuntu):
assignee: rahmadani (rahmadani) → nobody
Changed in ubuntu-themes (Ubuntu):
assignee: rahmadani (rahmadani) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers